Loading...
Searching...
No Matches
Dune::PreconditionerMaker< OriginalPreconditioner, Args > Struct Template Reference

Struct implementing a make function which creates a preconditioner Can create arbitrary preconditioners using parameter packs as template arguments. More...

`#include <PreconditionerWithUpdate.hpp>`

Inheritance diagram for Dune::PreconditionerMaker< OriginalPreconditioner, Args >:

## Public Types

using | GenericPreconditioner = Preconditioner<typename OriginalPreconditioner::domain_type, typename OriginalPreconditioner::range_type>

## Public Member Functions

| PreconditionerMaker (Args &&... args)
std::unique_ptr< GenericPreconditioner > | make () override

## Public Attributes

std::tuple< Args... > | args_

## Detailed Description

template<class OriginalPreconditioner, class... Args>
struct Dune::PreconditionerMaker< OriginalPreconditioner, Args >

Struct implementing a make function which creates a preconditioner Can create arbitrary preconditioners using parameter packs as template arguments.

Template Parameters

  OriginalPreconditioner | - An arbitrary preconditioner type
  ...Args | - All arguments needed to construct the preconditioner of choice

## Member Function Documentation

## make()

template<class OriginalPreconditioner, class... Args>

std::unique_ptr< GenericPreconditioner > Dune::PreconditionerMaker< OriginalPreconditioner, Args >::make | ( |  | ) |

inline override virtual

Implements Dune::GeneralPreconditionerMaker< OriginalPreconditioner >.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/PreconditionerWithUpdate.hpp